﻿using NetinaShop.Domain.Entities.Brands;
using NetinaShop.Domain.Entities.Orders;

namespace NetinaShop.Domain.Entities.Products;

public class Product : ApiEntity
{
    public string PersianName { get; internal set; } = string.Empty;
    public string EnglishName { get; internal set; } = string.Empty;
    public string Summery { get; internal set; } = string.Empty;
    public string ExpertCheck { get; internal set; } = string.Empty;
    public string Tags { get; internal set; } = string.Empty;
    public string Warranty { get; set; } = string.Empty;

    public Guid BrandId { get; internal set; }
    public Brand? Brand { get; set; }

    public List<Specification> Specifications { get; internal set; } = new();
    public List<Review> Reviews { get; internal set; } = new();
    public List<ProductCategory> Categories { get; internal set; } = new();
    public List<ProductStorageFile> Files { get; internal set; } = new();
    public List<OrderProduct> OrderProducts { get; internal set; } = new();
}